// iSDKTestDlg.h : header file
//

#if !defined(AFX_ISDKTESTDLG_H__E656475B_0268_49CF_B072_0E9EFCFF9FEC__INCLUDED_)
#define AFX_ISDKTESTDLG_H__E656475B_0268_49CF_B072_0E9EFCFF9FEC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CISDKTestDlg dialog



//#import "E:\Product\iScan\Src\iSDKTest\WCSDK2.dll"
//using namespace WCSDK2;

#include "wcsdk2.h"


static UINT gsdkMsg = ::RegisterWindowMessage(L"WCSDK");
 
class CISDKTestDlg : public CDialog
{
// Construction
public:
	CString GetLangString(WORD wLangID);
	bool ActiveWCSDK();
	void SetErrorMsg(DWORD dwRtnMsg);
	CISDKTestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CISDKTestDlg)
	enum { IDD = IDD_ISDKTEST_DIALOG };
	CEdit	m_edSerial;
	CComboBox	m_cbChineseOutput;
	CStatic	m_stBtnPress;
	CStatic	m_stColorBtn;
	CStatic	m_stPaper;
	CStatic	m_stMachine;
	CEdit	m_edResult;
	CComboBox	m_cbLang;
	CButton	m_chkFloat;
	CEdit	m_edFileName;
	//}}AFX_DATA



	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CISDKTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	DWORD			m_dwBtnPress;
	DWORD			m_dwColorBtnPress;
	IIApplication	m_App;
// Implementation
protected:
	HICON m_hIcon;

//	IIApplicationPtr m_pApp;
	// Generated message map functions
	//{{AFX_MSG(CISDKTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnStart();
	afx_msg void OnButton1();
	afx_msg void OnDestroy();
	afx_msg void OnBtnEnd();
	afx_msg void OnBtnScanonwnd();
	afx_msg void OnBtnRecog();
	afx_msg void OnBtnGetlang();
	afx_msg long OnWCSDKMsg(WPARAM wParam,LPARAM lParam);
	virtual void OnCancel();
	afx_msg void OnBtnScancard();
	afx_msg void OnRectrecog();
	afx_msg void OnBtnStartBykeypro();
	afx_msg void OnCalibrate();
	afx_msg void OnBtnInitialRegged();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
  
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ISDKTESTDLG_H__E656475B_0268_49CF_B072_0E9EFCFF9FEC__INCLUDED_)
